/* root */
:root {
  --color-white: #fff;
  --color-primary: #ffc178;
  --color-primary-dark: #ffa343;
  --color-primary-light: #fbd784;
  --background-color: #000;
}

/* common styles */
html {
  scroll-behavior: smooth;
  font-size: 62.5%;
}

body {
  font-family: "Open Sans", sans-serif;
  font-size: 1.8rem;
  font-style: normal;
  font-weight: 600;
  line-height: 3.2rem;
  color: var(--color-white);
  background: var(--background-color);
}

* {
  box-sizing: border-box;
}

*::before,
*::after {
  box-sizing: inherit;
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}

ul {
  margin: 0;
  padding: 0;
}

img {
  max-width: 100%;
  height: auto;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.btn {
  color: var(--background-color);
  font-weight: 700;
  padding: 2.5rem 7rem;
  background-color: var(--color-primary-dark);
  border-radius: 8px;
  cursor: pointer;
}

.link {
  color: var(--color-primary-light);
  font-weight: 700;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.link .icon-link {
  fill: var(--color-primary-light);
  transform: rotate(270deg);
  margin-left: 1rem;
}

.inline {
  display: flex;
  flex-flow: row;
}

input {
  background-color: transparent;
  border: none;
  outline: none;
}

.bg_img {
  position: absolute;
  width: 100%;
  z-index: -1;
  isolation: isolate;
  pointer-events: none;
}

/* text styles */

.heading {
  font-weight: 700;
  margin: 0;
}

.heading--1 {
  font-weight: 400;
  font-size: 8.8rem;
  line-height: 10rem;
  text-transform: capitalize;
}

.heading--2 {
  font-size: 6.4rem;
  line-height: 8.7rem;
  margin-bottom: 2.7rem;
}

.heading > strong {
  font-weight: 700;
  font-size: 9.6rem;
  line-height: 10rem;
  display: block;
}

.subheading {
  font-weight: 700;
  font-size: 1.8rem;
  line-height: 2.5rem;
  letter-spacing: 0.6rem;
  text-transform: uppercase;
  color: var(--color-primary);
  padding-left: 10rem;
  position: relative;
}

.subheading::before {
  content: "";
  width: 7.2rem;
  height: 0.2rem;
  position: absolute;
  background-color: var(--color-primary);
  top: 50%;
  left: 0;
}

.subheading--centered {
  display: inline-block;
  padding-right: 10rem;
  position: relative;
}

.subheading--centered:after {
  content: "";
  width: 7.2rem;
  height: 0.2rem;
  position: absolute;
  background-color: var(--color-primary);
  top: 50%;
  right: 0;
}

/* container */

.container {
  margin: 0 auto;
  max-width: 146rem;
}

.container--large {
  max-width: 175rem;
}

/* header */
.header {
  padding: 6rem;
  width: 100%;
  position: absolute;
}

.header__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__logo {
  font-weight: 700;
  font-size: 2.4rem;
  line-height: 3.3rem;
  letter-spacing: 0.01em;
  text-transform: capitalize;
  color: var(--color-white);
}

.navigation {
  display: flex;
  gap: 5rem;
}

.navigation__link {
  color: var(--color-white);
  line-height: 2.5rem;
}

.search {
  width: 30rem;
  display: flex;
}

.search__button {
  display: none;
  padding: 1rem;
  background-color: var(--color-primary-dark);
  border: none;
  transition: all 2s;
}

.search input {
  text-align: end;
  padding: 0 0 0 2rem;
  transition: all 2s;
  flex: 1 1 auto;
  min-height: 4rem;
  background: url(../assets/icons/search.svg) no-repeat;
  background-position: right 70px center;
  color: rgba(255, 255, 255, 0.3);
}

.search input::placeholder {
  transition: all 2s;
}

.search input:focus,
.search input:focus-within {
  color: var(--color-white);
  transition: all 2s;
  text-align: start;
  width: 30rem;
  padding: 0 0 0 1rem;
  border-bottom: 2px solid var(--color-primary-dark);
  background: none;
}

.search input:focus + .search__button,
.search input:focus-within + .search__button {
  transition: all 2s;
  display: inline-block;
}

/* hero */
.hero {
  height: 150vh;
  /* margin-bottom: 87.5rem; */
}

.hero-container {
  display: flex;
  align-items: center;
  padding-top: 28.5rem;
}

.hero__content {
  display: flex;
  flex-flow: column;
  width: 95rem;
  margin: 0 auto;
}

.hero__content > .heading {
  margin-bottom: 12.5rem;
}

.hero__content > .scroll-link {
  align-self: center;
  color: var(--color-white);
  line-height: 2.5rem;
  display: flex;
  gap: 0.8rem;
  align-self: center;
}

.hero__content > .scroll-link .icon-link svg {
  fill: var(--color-white);
}

.social {
  display: flex;
  flex-flow: column;
  width: max-content;
  align-items: center;
  gap: 2.2rem;
}

.social__text {
  writing-mode: vertical-rl;
  text-orientation: mixed;
  pointer-events: none;
}

.social__list {
  display: flex;
  flex-flow: column;
  gap: 2.2rem;
}

/* section */
.section {
  margin-bottom: 25rem;
}

/* split-content section */

.split-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 23rem;
}

.split-content--reverse {
  flex-flow: row-reverse;
}

.split-content__content {
  max-width: 63.2rem;
}

.split-content__content > .subheading {
  margin: 0 0 2.7rem;
}

.split-content__content > p {
  margin: 0 0 2.7rem;
}

.split-content__content > .heading {
  max-width: 55.5rem;
}

.split-content__image {
  width: 59rem;
  height: 72rem;
}

/* slider section */
.slider {
  position: relative;
}

.slide__content {
  display: flex;
  flex-flow: column;
  align-items: center;
  width: 100%;
  max-width: 93.5rem;
  text-align: center;
  position: absolute;
  bottom: 2.5rem;
  left: 50%;
  transform: translateX(-50%);
}

.slide__bg {
  position: relative;
}

.slider__buttons {
  top: 50%;
  width: 100%;
  z-index: 1;
  position: absolute;
  display: flex;
  justify-content: space-between;
  padding: 5rem;
}

.slider__button {
  cursor: pointer;
  background-color: transparent;
  border: none;
  padding: 0;
  margin: 0;
}

.slider__button--left {
  transform: scaleX(-1);
}

/* footer */
.footer__top {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding-bottom: 4.5rem;
  border-bottom: 2px solid rgba(255, 255, 255, 0.3);
}

.footer__logo {
  font-weight: 700;
  font-size: 4.8rem;
  line-height: 6.5rem;
  letter-spacing: 0.01em;
  text-transform: capitalize;
  color: var(--color-white);
}

.footer__action {
  display: flex;
  align-items: center;
  gap: 5.5rem;
}

.footer__action p {
  font-size: 2.2rem;
  line-height: 2.9rem;
  letter-spacing: -0.3px;
}

.footer__center {
  margin: 5.5rem auto 10rem;
  display: flex;
  justify-content: space-between;
}

.newsletter {
  max-width: 40rem;
}

.newsletter__title {
  font-weight: 700;
  font-size: 3.6rem;
  line-height: 4.9rem;
  letter-spacing: -0.3px;
  margin: 0 auto 5rem;
}

.btn--newsletter {
  border-radius: 8px 8px 0px 0px;
  padding: 2rem;
  border: none;
}

.btn--newsletter svg {
  width: 2.8rem;
  height: 2.8rem;
  fill: var(--background-color);
}

.newsletter__form {
  display: flex;
  align-items: flex-end;
  width: 100%;
}

.newsletter__form input {
  color: rgba(255, 255, 255, 0.5);
  font-size: 15px;
  line-height: 20px;
  padding: 1.5rem;
  flex: 1 1 auto;
  width: 100%;
  min-height: 7.2rem;
  border-bottom: 2px solid rgba(255, 255, 255, 0.3);
}

.newsletter__form input:focus,
.newsletter__form input:focus-visible {
  outline: none;
  border-bottom: 2px solid var(--color-primary-dark);
}

.footer__navigation {
  display: flex;
  gap: 18.5rem;
  margin-right: 9.5rem;
}

.footer-navigation__item {
  font-style: normal;
  font-weight: 400;
  font-size: 1.9rem;
  line-height: 2em;
  letter-spacing: -0.204545px;
  color: var(--color-white);
}

.footer-navigation__title {
  color: var(--color-primary);
  font-weight: 700;
  margin: 0;
}

.footer-navigation__item a {
  color: inherit;
}

.footer__bootom {
  display: flex;
  justify-content: space-between;
  width: 100%;
  max-width: 138rem;
  margin: 0 auto 15.5rem;
}

.policy {
  align-items: center;
  gap: 5rem;
}

.policy__item a {
  color: var(--color-white);
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 2rem;
  letter-spacing: -0.204545px;
}

.footer .social__list {
  flex-flow: row;
  gap: 5rem;
}

.footer__copyright {
  font-weight: 600;
  font-size: 1.8rem;
  line-height: 3.2rem;
  text-align: center;
  opacity: 0.5;
}
